﻿


.containerSearch {
    max-width: 700px;
    min-width: 400px;
    margin-left:20px;
}

    .containerSearch .searchInput {
        background: #fff;
        width: 100%;
        border-radius: 5px;
        position: relative;
        box-shadow: 0px 1px 5px 3px rgba(0,0,0,0.12);
    }

.searchInput input {
    height: 45px;
    width: 100%;
    outline: none;
    border: none;
    border-radius: 5px;
    padding: 0 60px 0 20px;
    font-size: 18px;
    box-shadow: 0px 1px 5px rgba(0,0,0,0.1);
}

.searchInput.active input {
    border-radius: 5px 5px 0 0;
}

.searchInput .resultBox {
    padding: 0;
    /*opacity: 0;*/
    max-height: 400px;
    overflow-y: auto;
    position:absolute;
    background:#fff;
}

.searchInput.active .resultBox {
    padding: 10px 8px;
    opacity: 1;
    pointer-events: auto;
}

.resultBox li {
    list-style: none;
    padding: 8px 12px;
    /*display: none;*/
    width: 100%;
    cursor: default;
    border-radius: 3px;
    position:relative;
}

.searchInput.active .resultBox li {
    display: block;
}

.resultBox li:hover {
    background-color: #8d51ff;
    color: #fff;
    cursor: pointer;
}

.searchInput .icon {
    position: absolute;
    right: 0px;
    top: 0px;
    height: 55px;
    width: 55px;
    text-align: center;
    line-height: 45px;
    font-size: 20px;
    color: #644bff;
    cursor: pointer;
}
@media (max-width: 768px) {
    .balance-sheet {
        grid-template-columns: 1fr repeat(5, 1fr);
    }
}

@media (max-width: 480px) {
    .balance-sheet {
        grid-template-columns: 1fr;
        grid-template-rows: auto auto auto auto auto;
    }

        .balance-sheet .data-label,
        .balance-sheet .data-value {
            display: block;
            text-align: left;
        }

        .balance-sheet .header {
            display: none;
        }

        .balance-sheet div:nth-child(1) {
            grid-column: 1 / 2;
            grid-row: 1 / 2;
        }

        .balance-sheet div:nth-child(2),
        .balance-sheet div:nth-child(3),
        .balance-sheet div:nth-child(4),
        .balance-sheet div:nth-child(5),
        .balance-sheet div:nth-child(6),
        .balance-sheet div:nth-child(7) {
            grid-column: 1 / 2;
        }

        .balance-sheet div:nth-child(2) {
            grid-row: 2 / 3;
        }

        .balance-sheet div:nth-child(3) {
            grid-row: 3 / 4;
        }

        .balance-sheet div:nth-child(4) {
            grid-row: 4 / 5;
        }

        .balance-sheet div:nth-child(5) {
            grid-row: 5 / 6;
        }

        .balance-sheet div:nth-child(6) {
            grid-row: 6 / 7;
        }

        .balance-sheet div:nth-child(7) {
            grid-row: 7 / 8;
        }
}
@media (max-width: 768px) {
    .balance-sheet, .profit-loss, .ratios {
        grid-template-columns: 1fr repeat(5, 1fr);
    }
}

@media (max-width: 480px) {
    .balance-sheet, .profit-loss, .ratios {
        grid-template-columns: 1fr;
        grid-template-rows: auto auto auto auto auto;
    }

        .balance-sheet .data-label, .profit-loss .data-label, .ratios .data-label,
        .balance-sheet .data-value, .profit-loss .data-value, .ratios .data-value {
            display: block;
            text-align: left;
        }

        .balance-sheet .header, .profit-loss .header, .ratios .header {
            display: none;
        }
}


/* Sign Up Mobile Styles */
@media (max-width: 768px) {
    .container {
        flex-direction: column; /* Stack elements on smaller screens */
        align-items: center; /* Center items */
    }

    .form-container, .welcome-container {
        max-width: 100%; /* Full width for mobile */
        margin: 0; /* Remove margin */
        margin-bottom: 20px; /* Space between elements */
    }

    .form-container {
        margin-top: 10px; /* Space above form on mobile */
    }
    .welcome-container {
        display: none; /* Hide the welcome section on screens smaller than 768px */
    }
    .welcome-message {
        display: none; /* Hide the welcome section on screens smaller than 768px */
    }
    
    /*LAYOUT OVERVIEW*/
    .navbar.nav-layout .container{
        align-items:normal;
        padding-top:0px;
    }
    .navbar.nav-layout .navbar {
     padding-left:0px;
    }
    .navbar.nav-layout .containerSearch {
        max-width: 700px;
        min-width: 400px;
        margin-left: 0;
        margin-top: 20px;
    }
    .navbar.nav-layout {
     margin-bottom:10px;
    }


}


/* Extra Small Mobile Styles */
@media (max-width: 480px) {
    .container {
        padding: 10px; /* Reduced padding for smaller screens */
    }

    .welcome-container h2 {
        font-size: 20px; /* Smaller font for welcome message heading */
    }

    .welcome-container p {
        font-size: 14px; /* Smaller font for welcome message text */
    }

    .form-container h2 {
        font-size: 20px; /* Smaller font for form heading */
    }

    .form-group label {
        font-size: 14px; /* Smaller font for labels */
    }

    .form-control {
        font-size: 14px; /* Smaller font for input fields */
        padding: 8px; /* Smaller padding for input fields */
    }

    .btn-primary {
        font-size: 14px; /* Smaller font for button */
        padding: 10px; /* Adjust padding for button */
    }
}